import _extends from "@babel/runtime/helpers/extends";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["activeIndex", "className", "dataTest", "display", "headerActions", "headerContent", "items", "loading", "noImage", "noVideo", "overlayContent", "subTitle", "title", "totalItems", "withCounter", "withThumbnail", "onClickBack", "onClickThumbnail", "onNext", "onPrev", "onSlideChange"],
    _excluded2 = ["alt", "autoPlay", "url", "onPlay"];
import React, { useState, useEffect, useRef, useCallback, createRef } from 'react';
import ReactHlsPlayer from 'react-hls-player';
import { cx } from 'emotion';
import { canUseDOM } from "../../build/Providers/common/functions";
import { usePrev } from "../../build/Providers/common/hooks";
import { NN0 } from 'unify-token/colors';
import { ImageBroken, Pause, Play, ScreenFull, VideoBroken, VolumeMute, VolumeUp } from 'unify-icons/system';
import LoadingCircle from "../../build/Providers/common/components/LoadingCircle";
import PortalWrapper from "../../build/Providers/common/components/PortalWrapper";
import Typography from "../../build/Typography";
import LightboxHeader from "./LightboxHeader";
import LightboxSlider from "./LightboxSlider";
import { Container, ContentContainer, ContentWrapper, Counter, EdgeStateWrapper, PreviewContainer, ThumbnailsWrapper, VideoControlsWrapper } from "./style";

var Lightbox = function Lightbox(props) {
  var activeIndexProp = props.activeIndex,
      className = props.className,
      dataTest = props.dataTest,
      display = props.display,
      headerActions = props.headerActions,
      headerContent = props.headerContent,
      items = props.items,
      loading = props.loading,
      noImage = props.noImage,
      noVideo = props.noVideo,
      overlayContent = props.overlayContent,
      subTitle = props.subTitle,
      title = props.title,
      totalItems = props.totalItems,
      withCounter = props.withCounter,
      withThumbnail = props.withThumbnail,
      onClickBack = props.onClickBack,
      onClickThumbnail = props.onClickThumbnail,
      onNext = props.onNext,
      onPrev = props.onPrev,
      onSlideChange = props.onSlideChange,
      otherProps = _objectWithoutProperties(props, _excluded);

  var _useState = useState(activeIndexProp),
      _useState2 = _slicedToArray(_useState, 2),
      activeIndex = _useState2[0],
      setActiveIndex = _useState2[1];

  var _useState3 = useState(true),
      _useState4 = _slicedToArray(_useState3, 2),
      toggleContent = _useState4[0],
      setToggleContent = _useState4[1];

  var _useState5 = useState(null),
      _useState6 = _slicedToArray(_useState5, 2),
      deltaX = _useState6[0],
      setDeltaX = _useState6[1];

  var _useState7 = useState(null),
      _useState8 = _slicedToArray(_useState7, 2),
      deltaY = _useState8[0],
      setDeltaY = _useState8[1];

  var _useState9 = useState(false),
      _useState10 = _slicedToArray(_useState9, 2),
      isScaled = _useState10[0],
      setIsScaled = _useState10[1];

  var _useState11 = useState(1),
      _useState12 = _slicedToArray(_useState11, 2),
      scaleValue = _useState12[0],
      setScaleValue = _useState12[1];

  var _useState13 = useState({
    x: 0,
    y: 0,
    distance: 0
  }),
      _useState14 = _slicedToArray(_useState13, 2),
      startPos = _useState14[0],
      setStartPos = _useState14[1];

  var totalItemsAuto = items === null || items === void 0 ? void 0 : items.length;
  var prevActiveIndex = usePrev(activeIndex);
  var initialItems = activeIndex + 1;

  var handleActiveIndexChange = function handleActiveIndexChange(activeIndex) {
    var _videoPlayerRef$curre;

    setActiveIndex(activeIndex);
    onSlideChange && onSlideChange(activeIndex);
    (_videoPlayerRef$curre = videoPlayerRef.current[prevActiveIndex].current) === null || _videoPlayerRef$curre === void 0 ? void 0 : _videoPlayerRef$curre.pause();
    items === null || items === void 0 ? void 0 : items.map(function (item, index) {
      if (item.autoPlay && activeIndex === index) {
        var _videoPlayerRef$curre2;

        setVideoMuted(true);
        (_videoPlayerRef$curre2 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre2 === void 0 ? void 0 : _videoPlayerRef$curre2.play();
      }
    });
  };

  var handleToggleContent = function handleToggleContent() {
    setToggleContent(!toggleContent);
  };

  var renderEdgeStateInfo = function renderEdgeStateInfo(type) {
    return React.createElement(Typography, {
      body: 3,
      color: NN0,
      margin: "16px 0 0"
    }, "The ", type, " has not found");
  };

  var handleEdgeState = function handleEdgeState() {
    if (loading) {
      return React.createElement(LoadingCircle, {
        display: true
      });
    } else {
      if (noImage) {
        return React.createElement(React.Fragment, null, React.createElement(ImageBroken, {
          color: NN0,
          size: 40
        }), renderEdgeStateInfo('image'));
      } else if (noVideo) {
        return React.createElement(React.Fragment, null, React.createElement(VideoBroken, {
          color: NN0,
          size: 40
        }), renderEdgeStateInfo('video'));
      }
    }
  };

  var videosRef = items === null || items === void 0 ? void 0 : items.map(function (item) {
    return item.type === 'video' && createRef();
  });
  var videoPlayerRef = useRef(videosRef);

  var _useState15 = useState(false),
      _useState16 = _slicedToArray(_useState15, 2),
      videoMuted = _useState16[0],
      setVideoMuted = _useState16[1];

  var _useState17 = useState(false),
      _useState18 = _slicedToArray(_useState17, 2),
      videoPlaying = _useState18[0],
      setVideoPlaying = _useState18[1];

  var _useState19 = useState(0),
      _useState20 = _slicedToArray(_useState19, 2),
      videoProgress = _useState20[0],
      setVideoProgress = _useState20[1];

  var _useState21 = useState(0),
      _useState22 = _slicedToArray(_useState21, 2),
      videoCurrentTime = _useState22[0],
      setVideoCurrentTime = _useState22[1];

  var _useState23 = useState(0),
      _useState24 = _slicedToArray(_useState23, 2),
      videoTime = _useState24[0],
      setVideoTime = _useState24[1];

  var videoHandler = function videoHandler(control, index) {
    var _videoPlayerRef$curre3, _videoPlayerRef$curre4, _videoPlayerRef$curre5;

    switch (control) {
      case 'play':
        setVideoPlaying(true);
        setVideoTime((_videoPlayerRef$curre3 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre3 === void 0 ? void 0 : _videoPlayerRef$curre3.duration);
        (_videoPlayerRef$curre4 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre4 === void 0 ? void 0 : _videoPlayerRef$curre4.play();
        break;

      case 'pause':
        setVideoPlaying(false);
        (_videoPlayerRef$curre5 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre5 === void 0 ? void 0 : _videoPlayerRef$curre5.pause();
        break;

      case 'mute':
        setVideoMuted(true);
        break;

      case 'unmute':
        setVideoMuted(false);
        break;

      case 'fullscreen':
        handleVideoFullscreen();
        break;
    }
  };

  var handleVideoFullscreen = function handleVideoFullscreen() {
    var _videoPlayerRef$curre6, _videoPlayerRef$curre8, _videoPlayerRef$curre10, _videoPlayerRef$curre12, _videoPlayerRef$curre14;

    if ((_videoPlayerRef$curre6 = videoPlayerRef.current[activeIndex].current) !== null && _videoPlayerRef$curre6 !== void 0 && _videoPlayerRef$curre6.requestFullscreen) {
      var _videoPlayerRef$curre7;

      (_videoPlayerRef$curre7 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre7 === void 0 ? void 0 : _videoPlayerRef$curre7.requestFullscreen();
    } else if ((_videoPlayerRef$curre8 = videoPlayerRef.current[activeIndex].current) !== null && _videoPlayerRef$curre8 !== void 0 && _videoPlayerRef$curre8.mozRequestFullscreen) {
      var _videoPlayerRef$curre9;

      (_videoPlayerRef$curre9 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre9 === void 0 ? void 0 : _videoPlayerRef$curre9.mozRequestFullscreen();
    } else if ((_videoPlayerRef$curre10 = videoPlayerRef.current[activeIndex].current) !== null && _videoPlayerRef$curre10 !== void 0 && _videoPlayerRef$curre10.webkitRequestFullscreen) {
      var _videoPlayerRef$curre11;

      (_videoPlayerRef$curre11 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre11 === void 0 ? void 0 : _videoPlayerRef$curre11.webkitRequestFullscreen();
    } else if ((_videoPlayerRef$curre12 = videoPlayerRef.current[activeIndex].current) !== null && _videoPlayerRef$curre12 !== void 0 && _videoPlayerRef$curre12.msRequestFullscreen) {
      var _videoPlayerRef$curre13;

      (_videoPlayerRef$curre13 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre13 === void 0 ? void 0 : _videoPlayerRef$curre13.msRequestFullscreen();
    } else if ((_videoPlayerRef$curre14 = videoPlayerRef.current[activeIndex].current) !== null && _videoPlayerRef$curre14 !== void 0 && _videoPlayerRef$curre14.webkitEnterFullscreen) {
      var _videoPlayerRef$curre15;

      (_videoPlayerRef$curre15 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre15 === void 0 ? void 0 : _videoPlayerRef$curre15.webkitEnterFullscreen();
    }
  };

  var handleVideoEnded = function handleVideoEnded() {
    setVideoCurrentTime(0);
    setVideoPlaying(false);
    setVideoProgress(0);
  };

  var handleVideoPause = function handleVideoPause() {
    setVideoPlaying(false);
  };

  var handleVideoPlaying = function handleVideoPlaying() {
    setVideoPlaying(true);
  };

  var handleVideoTimeUpdate = function handleVideoTimeUpdate() {
    var _videoPlayerRef$curre16, _videoPlayerRef$curre17, _videoPlayerRef$curre18;

    var progress = ((_videoPlayerRef$curre16 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre16 === void 0 ? void 0 : _videoPlayerRef$curre16.currentTime) / ((_videoPlayerRef$curre17 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre17 === void 0 ? void 0 : _videoPlayerRef$curre17.duration) * 100;
    setVideoProgress(progress);
    setVideoCurrentTime((_videoPlayerRef$curre18 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre18 === void 0 ? void 0 : _videoPlayerRef$curre18.currentTime);
  };

  var handleVideoProgress = function handleVideoProgress(e) {
    var _videoPlayerRef$curre19;

    var manualChange = Number(e.target.value);
    videoPlayerRef.current[activeIndex].current.currentTime = ((_videoPlayerRef$curre19 = videoPlayerRef.current[activeIndex].current) === null || _videoPlayerRef$curre19 === void 0 ? void 0 : _videoPlayerRef$curre19.duration) / 100 * manualChange;
    setVideoProgress(manualChange);
  };

  var renderCustomControlsVideo = function renderCustomControlsVideo() {
    return React.createElement(React.Fragment, null, items.map(function (item, index) {
      if (item.type === 'video' && activeIndex === index) {
        var _videoPlayerRef$curre20, _videoPlayerRef$curre21, _videoPlayerRef$curre22, _videoPlayerRef$curre23;

        return React.createElement("div", {
          key: index,
          className: VideoControlsWrapper
        }, React.createElement("div", {
          className: "unf-lightbox__video-controls--play"
        }, videoPlaying ? React.createElement(Pause, {
          color: NN0,
          size: 24,
          onClick: function onClick() {
            return videoHandler('pause', activeIndex);
          }
        }) : React.createElement(Play, {
          color: NN0,
          size: 24,
          onClick: function onClick() {
            return videoHandler('play', activeIndex);
          }
        })), React.createElement("input", {
          className: "unf-lightbox__video-controls--timeline",
          type: "range",
          value: videoProgress,
          onChange: function onChange(e) {
            return handleVideoProgress(e);
          }
        }), React.createElement("div", {
          className: "unf-lightbox__video-controls--group"
        }, React.createElement("span", {
          className: "unf-lightbox__video-controls--time"
        }, ((_videoPlayerRef$curre20 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre20 === void 0 ? void 0 : _videoPlayerRef$curre20.currentTime) === undefined ? '0:00' : "".concat(Math.floor(videoCurrentTime / 60), ":").concat("0".concat(Math.floor(videoCurrentTime % 60)).slice(-2)), "/", ((_videoPlayerRef$curre21 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre21 === void 0 ? void 0 : _videoPlayerRef$curre21.duration) === undefined ? '0:00' : "".concat(Math.floor(((_videoPlayerRef$curre22 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre22 === void 0 ? void 0 : _videoPlayerRef$curre22.duration) / 60), ":").concat("0".concat(Math.floor(((_videoPlayerRef$curre23 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre23 === void 0 ? void 0 : _videoPlayerRef$curre23.duration) % 60)).slice(-2))), React.createElement("div", {
          className: "unf-lightbox__video-controls--volume"
        }, videoMuted || item.muted ? React.createElement(VolumeMute, {
          color: NN0,
          size: 24,
          onClick: function onClick() {
            return videoHandler('unmute', activeIndex);
          }
        }) : React.createElement(VolumeUp, {
          color: NN0,
          size: 24,
          onClick: function onClick() {
            return videoHandler('mute', activeIndex);
          }
        })), React.createElement("div", {
          className: "unf-lightbox__video-controls--screen"
        }, React.createElement(ScreenFull, {
          color: NN0,
          size: 24,
          onClick: function onClick() {
            return videoHandler('fullscreen', activeIndex);
          }
        }))));
      } else {
        return null;
      }
    }));
  };

  var renderThumbnails = function renderThumbnails() {
    return React.createElement("div", {
      className: ThumbnailsWrapper,
      ref: containerRef
    }, items.map(function (item, index) {
      if (item.type === 'image') {
        return React.createElement("img", _extends({
          key: index,
          className: activeIndex === index ? 'unf-lightbox__thumbnail active' : 'unf-lightbox__thumbnail',
          src: item.url,
          alt: item.alt,
          loading: "lazy"
        }, dataTest !== null && dataTest !== void 0 && dataTest.imageThumbnail ? {
          'data-testid': (dataTest === null || dataTest === void 0 ? void 0 : dataTest.imageThumbnail) + index
        } : {}, {
          onClick: function onClick() {
            return handleClickThumbnail(index);
          }
        }));
      } else if (item.type === 'video') {
        return React.createElement("div", {
          key: index,
          className: activeIndex === index ? 'unf-lightbox__video-wrapper active' : 'unf-lightbox__video-wrapper',
          onClick: function onClick() {
            return handleClickThumbnail(index);
          },
          onKeyDown: function onKeyDown() {
            return handleClickThumbnail(index);
          }
        }, React.createElement("img", _extends({
          className: activeIndex === index ? 'unf-lightbox__thumbnail active' : 'unf-lightbox__thumbnail',
          src: item.videoPoster,
          alt: item.alt,
          loading: "lazy"
        }, dataTest !== null && dataTest !== void 0 && dataTest.imageThumbnail ? {
          'data-testid': (dataTest === null || dataTest === void 0 ? void 0 : dataTest.imageThumbnail) + index
        } : {})), React.createElement("div", {
          className: "unf-lightbox__video--icon"
        }, React.createElement(Play, {
          color: NN0,
          size: 14
        })));
      }
    }));
  };

  var handleClickThumbnail = function handleClickThumbnail(activeIndex) {
    handleActiveIndexChange(activeIndex);
    onClickThumbnail && onClickThumbnail(activeIndex);
  };

  var renderCustomContent = function renderCustomContent() {
    return React.createElement("div", {
      className: ContentWrapper,
      ref: containerRef
    }, items.map(function (item, index) {
      return React.createElement("div", {
        key: index,
        className: activeIndex === index ? 'active' : 'hidden'
      }, item.content);
    }));
  };

  var containerRef = useRef(null);
  var focusActiveThumbnail = useCallback(function () {
    var _containerRef$current;

    var item = (_containerRef$current = containerRef.current) === null || _containerRef$current === void 0 ? void 0 : _containerRef$current.querySelector('.active');
    var thumbnail = item.parentNode;

    if (thumbnail) {
      var itemCenter = item.offsetLeft + item.offsetWidth / 2;
      var thumbnailCenter = thumbnail.offsetWidth / 2;
      var newScrollPosition = itemCenter - thumbnailCenter;

      if (newScrollPosition >= 0) {
        if (items.length - 1 === activeIndex && thumbnail.scrollLeft > 0) {
          newScrollPosition = thumbnail.scrollWidth - thumbnail.offsetWidth;
        }

        thumbnail.scrollLeft = newScrollPosition;
      } else {
        newScrollPosition = 0;
        thumbnail.scrollLeft = 0;
      }
    }
  }, [activeIndex, items.length]);

  var distance = function distance(e) {
    return Math.hypot(e.touches[0].pageX - e.touches[1].pageX, e.touches[0].pageY - e.touches[1].pageY);
  };

  var handleTouchStart = function handleTouchStart(e) {
    var _e$touches;

    if (((_e$touches = e.touches) === null || _e$touches === void 0 ? void 0 : _e$touches.length) === 2) {
      e.preventDefault();
      var startX = (e.touches[0].pageX + e.touches[1].pageX) / 2;
      var startY = (e.touches[0].pageY + e.touches[1].pageY) / 2;
      var startDistance = distance(e);
      setStartPos({
        x: startX,
        y: startY,
        distance: startDistance
      });
    }
  };

  var handleTouchMove = function handleTouchMove(e) {
    var _e$touches2;

    if (((_e$touches2 = e.touches) === null || _e$touches2 === void 0 ? void 0 : _e$touches2.length) === 2) {
      e.preventDefault();
      setIsScaled(true);
      var scale;

      if (e.scale) {
        scale = e.scale;
      } else {
        var deltaDistance = distance(e);
        scale = deltaDistance / startPos.distance;
      }

      var imageElementScale = Math.min(Math.max(1, scale), 4);
      setScaleValue(imageElementScale);
      var dX = ((e.touches[0].pageX + e.touches[1].pageX) / 2 - startPos.x) * 2;
      var dY = ((e.touches[0].pageY + e.touches[1].pageY) / 2 - startPos.y) * 2;
      setDeltaX(dX);
      setDeltaY(dY);
    }
  };

  var handleTouchEnd = function handleTouchEnd(e) {
    var _e$touches3;

    if (((_e$touches3 = e.touches) === null || _e$touches3 === void 0 ? void 0 : _e$touches3.length) === 2) {
      e.preventDefault();
    }

    setIsScaled(false);
  };

  useEffect(function () {
    prevActiveIndex === undefined ? prevActiveIndex = activeIndex : prevActiveIndex;
    containerRef.current && focusActiveThumbnail();
  }, [focusActiveThumbnail, activeIndex]);
  useEffect(function () {
    if (canUseDOM && containerRef.current) {
      window.addEventListener('resize', focusActiveThumbnail);
    }

    return function () {
      window.removeEventListener('resize', focusActiveThumbnail);
    };
  }, [focusActiveThumbnail]);
  var handleVideoAutoPlay = useCallback(function () {
    items === null || items === void 0 ? void 0 : items.map(function (item, index) {
      if (item.autoPlay && activeIndex === index) {
        var _videoPlayerRef$curre24, _videoPlayerRef$curre25;

        setVideoMuted(true);
        setVideoTime((_videoPlayerRef$curre24 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre24 === void 0 ? void 0 : _videoPlayerRef$curre24.duration);
        (_videoPlayerRef$curre25 = videoPlayerRef.current[index].current) === null || _videoPlayerRef$curre25 === void 0 ? void 0 : _videoPlayerRef$curre25.play();
      } else {
        var _videoPlayerRef$curre26, _videoPlayerRef$curre27;

        setVideoCurrentTime(0);
        setVideoPlaying(false);
        setVideoProgress(0);
        (_videoPlayerRef$curre26 = videoPlayerRef.current[prevActiveIndex].current) === null || _videoPlayerRef$curre26 === void 0 ? void 0 : _videoPlayerRef$curre26.pause();

        if (((_videoPlayerRef$curre27 = videoPlayerRef.current[prevActiveIndex].current) === null || _videoPlayerRef$curre27 === void 0 ? void 0 : _videoPlayerRef$curre27.currentTime) > 0) {
          videoPlayerRef.current[prevActiveIndex].current.currentTime = 0;
        }
      }
    });
  }, [activeIndex]);
  useEffect(function () {
    handleVideoAutoPlay();
  }, [handleVideoAutoPlay]);

  var handleClickBack = function handleClickBack() {
    typeof onClickBack === 'function' && onClickBack(videoCurrentTime);
  };

  var handleVideoPlay = function handleVideoPlay(e) {
    items === null || items === void 0 ? void 0 : items.map(function (item, index) {
      if (item.onPlay && activeIndex === index) {
        item.onPlay && item.onPlay(e.currentTarget.currentTime);
      }
    });
  };

  return React.createElement(React.Fragment, null, display && React.createElement(PortalWrapper, null, React.createElement("div", _extends({
    className: cx(Container, className)
  }, otherProps), React.createElement(LightboxHeader, {
    className: !toggleContent ? 'unf-navbar--hidden' : null,
    dataTest: dataTest === null || dataTest === void 0 ? void 0 : dataTest.iconBack,
    headerContent: headerContent,
    title: title,
    subTitle: subTitle,
    headerActions: headerActions,
    onClickBack: handleClickBack
  }), React.createElement("div", {
    className: PreviewContainer,
    onClick: handleToggleContent
  }, (loading || noImage || noVideo) && React.createElement("div", {
    className: EdgeStateWrapper
  }, handleEdgeState()), React.createElement(LightboxSlider, {
    activeIndex: activeIndex,
    onNext: onNext,
    onPrev: onPrev,
    onSlideChange: handleActiveIndexChange
  }, items.map(function (item, index) {
    var alt = item.alt,
        autoPlay = item.autoPlay,
        url = item.url,
        onPlay = item.onPlay,
        otherProps = _objectWithoutProperties(item, _excluded2);

    if (item.type === 'image') {
      return React.createElement("img", _extends({
        key: index,
        src: url,
        alt: alt,
        loading: "lazy"
      }, dataTest !== null && dataTest !== void 0 && dataTest.itemSlider ? {
        'data-testid': (dataTest === null || dataTest === void 0 ? void 0 : dataTest.itemSlider) + index
      } : {}, {
        onTouchStart: handleTouchStart,
        onTouchMove: handleTouchMove,
        onTouchEnd: handleTouchEnd,
        style: {
          transform: activeIndex === index && isScaled ? "translate3d(".concat(deltaX, "px, ").concat(deltaY, "px, 0) scale(").concat(scaleValue, ")") : null
        }
      }));
    } else if (item.type === 'video') {
      return item.url.includes('.m3u8') ? React.createElement(ReactHlsPlayer, _extends({
        key: index,
        muted: videoMuted || item.muted,
        playerRef: videoPlayerRef.current[index],
        playsInline: true,
        src: url,
        onEnded: handleVideoEnded || item.onEnded,
        onPause: handleVideoPause || item.onPause,
        onPlay: handleVideoPlay,
        onPlaying: handleVideoPlaying,
        onTimeUpdate: handleVideoTimeUpdate
      }, dataTest !== null && dataTest !== void 0 && dataTest.itemSlider ? {
        'data-testid': (dataTest === null || dataTest === void 0 ? void 0 : dataTest.itemSlider) + index
      } : {}, otherProps)) : React.createElement("video", _extends({
        key: index,
        muted: videoMuted || item.muted,
        playsInline: true,
        ref: videoPlayerRef.current[index],
        src: url,
        onEnded: handleVideoEnded || item.onEnded,
        onPause: handleVideoPause || item.onPause,
        onPlay: handleVideoPlay,
        onPlaying: handleVideoPlaying,
        onTimeUpdate: handleVideoTimeUpdate
      }, dataTest !== null && dataTest !== void 0 && dataTest.itemSlider ? {
        'data-testid': (dataTest === null || dataTest === void 0 ? void 0 : dataTest.itemSlider) + index
      } : {}, otherProps));
    }
  })), overlayContent && overlayContent), React.createElement("div", {
    className: "".concat(ContentContainer, " ").concat(!toggleContent ? 'unf-lightbox__content--hidden' : null)
  }, withCounter && React.createElement("div", {
    className: Counter,
    "data-testid": dataTest === null || dataTest === void 0 ? void 0 : dataTest.textCounter
  }, initialItems, "/", totalItems ? totalItems : totalItemsAuto), renderCustomControlsVideo(), withThumbnail ? renderThumbnails() : renderCustomContent()))));
};

Lightbox.defaultProps = {
  activeIndex: 0,
  dataTest: {},
  display: false,
  items: [],
  loading: false,
  noImage: false,
  noVideo: false
};
export default Lightbox;